# Event Types

<table><thead><tr><th width="173.0078125">Event</th><th width="279.4453125"> Event  Trigger  </th><th>Resources</th></tr></thead><tbody><tr><td>Call me back</td><td>When a user requests a call me back from the Truecaller App in the scenario of a missed / rejected call</td><td><p></p><ul><li>Type - Feature for which the webhook is being used.</li><li>Created At - Event creation time.</li><li>JSON content - Structure of payload data that is sent to the Business Client.</li></ul></td></tr><tr><td>User Feedback</td><td>When a user responds to a campaign based on the type of call, answered or missed / rejected. This response is from the campaign on the Truecaller app.</td><td><p></p><ul><li>Type: Feature for which the webhook is being used.</li><li>Created at: event creation time.</li><li>JSON content: structure of payload data that is sent to the business client.</li></ul></td></tr></tbody></table>

Configure your systems to consume webhook response by assigning appropriate fields to the below scenarios :

Payload - Call Me Back

**#For Customers with Slot Picker**

```json
// For Customers with Slot Picker - Scenario 1
// Happy Flow

{
  "event_id": "860a7f4c-6545-40f1-85be-3655edde650f",
  "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
  "event_type": "cmb",
  "created_at": "1753945760",
  "cmb_payload": {
    "business_number": "910987654321",
    "feature_set": "Fresh Flower Delivery",
    "client_number": "911234567890",
    "requested_at": "1753945760",
    "requested_date": "2025-08-02",
    "requested_slot": "Saturday",
    "preferred_from_time": "1754116200",
    "preferred_to_time": "1754118000",
    "is_interested": true,
    "alternate_number": "",
    "cmb_config_name": "CMBName"
  }
}
```

```json
// For Customers with Slot Picker - Scenario 2
// SIMinfo related issues on device

{
  "event_id": "119be0c3-d23f-4728-8e42-d936c2e8dad6",
  "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
  "event_type": "cmb",
  "created_at": "1753945773",
  "cmb_payload": {
    "business_number": "910987654321",
    "feature_set": "Testfeature",
    "client_number": "Phone number not available",
    "requested_at": "1753945773",
    "requested_date": "2025-08-02",
    "requested_slot": "Friday",
    "preferred_from_time": "1754031600",
    "preferred_to_time": "1754033400",
    "is_interested": true,
    "alternate_number": "911234567898",
    "cmb_config_name": "CMBName"
  }
}
```

```json
// For Customers with Slot Picker - Scenario 3 
// Customers who are Not Interested 

{
  "event_id": "17c023e6-444c-4938-b09f-69b31aa2e55a",
  "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
  "event_type": "cmb",
  "created_at": "1761719222",
  "cmb_payload": {
    "business_number": "911234567897",
    "feature_set": "New Feature Set-12",
    "client_number": "918765432198",
    "requested_at": "1761719222",
    "requested_date": "NA",
    "requested_slot": "NA",
    "preferred_from_time": null,
    "preferred_to_time": null,
    "is_interested": false,
    "alternate_number": "",
    "cmb_config_name": "CMBName"
  }
}
```

<table><thead><tr><th>Field Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>event_id
</code></pre></td><td>String (UUID)</td><td>Unique identifier for the event. Used for tracking and deduplication.</td></tr><tr><td><pre><code>client_account_id
</code></pre></td><td>String (UUID)</td><td>Unique ID representing the client/business account generating the event.</td></tr><tr><td><pre><code>event_type
</code></pre></td><td>String</td><td>Type of event. cmb refers to the Call Me Back workflow.</td></tr><tr><td><pre><code>created_at
</code></pre></td><td>String (Unix timestamp)</td><td>Time when the event was created (in epoch seconds).</td></tr><tr><td><pre><code>business_number
</code></pre></td><td>String</td><td>The business phone number associated with the callback request.</td></tr><tr><td><pre><code>feature_set
</code></pre></td><td>String</td><td>Feature Set to which the business phone number is associated</td></tr><tr><td><pre><code>client_number
</code></pre></td><td>String</td><td>End-user’s phone number from which the callback was requested</td></tr><tr><td><pre><code>requested_at
</code></pre></td><td>String (Unix timestamp)</td><td>Timestamp when the callback request was initiated.</td></tr><tr><td><pre><code>requested_date
</code></pre></td><td>String (Date)</td><td>Preferred date for the callback (YYYY-MM-DD format).</td></tr><tr><td><pre><code>requested_slot
</code></pre></td><td>String</td><td>Day of the slot selected by the user (e.g., Friday).</td></tr><tr><td><pre><code>preferred_from_time
</code></pre></td><td>String (Unix timestamp)</td><td>Start time of preferred callback time window.</td></tr><tr><td><pre><code>preferred_to_time
</code></pre></td><td>String (Unix timestamp)</td><td>End time of preferred callback time window.</td></tr><tr><td><pre><code>is_interested
</code></pre></td><td>Boolean</td><td>Indicates whether the user has shown interest (true = qualified intent; false = Not interested).</td></tr><tr><td><pre><code>alternate_number
</code></pre></td><td>String</td><td>Alternate contact number provided by the user when primary phone number is not available in the client_number field</td></tr><tr><td><pre><code>cmb_config_name
</code></pre></td><td>String</td><td>Name of the CMB configuration setup used for this workflow.</td></tr></tbody></table>

### Payload - User Feedback

```json
{
  "event_id": "7719f451-5436-470a-98ba-422b997582f8",
  "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
  "event_type": "user_feedback",
  "created_at": "1753946877",
  "survey_payload": {
    "name": "Flower Quality Check",
    "business_number": "+910987654321",
    "feature_set": "Fresh Flower Delivery",
    "client_number": "911234567890",
    "requested_at": "1753946877",
    "user_responses": [
      {
        "question": "How was the delivery experience?",
        "response": "5"
      },
      {
        "question": "Flower Quality?",
        "response": "Good"
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-for-business/verified-business-api-documentation/webhooks/event-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
